Locale::getDisplayName
Locale::getDisplayScript
Locale
PHP Manual

# Locale::getDisplayRegion

# locale_get_display_region

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Locale::getDisplayRegion -- locale_get_display_region — Returns an appropriately localized display name for region of the input locale

### Description

Object oriented style

public static string Locale::getDisplayRegion ( string `$locale` [, string `$in_locale` ] )

Procedural style

string locale_get_display_region ( string `$locale` [, string `$in_locale` ] )

Returns an appropriately localized display name for region of the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display region for.

`in_locale`

  Optional format locale to use to display the region name

### Return Values

display name of the region for the $locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_region() example

`<?php
echo locale_get_display_region('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_region('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_region('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Italy;
    Italie;
    Italien

### See Also

- locale_get_display_name() - Returns an appropriately localized display name for the input locale
- locale_get_display_language() - Returns an appropriately localized display name for language of the inputlocale
- locale_get_display_script() - Returns an appropriately localized display name for script of the input locale
- locale_get_display_variant() - Returns an appropriately localized display name for variants of the input locale

Locale::getDisplayName
Locale::getDisplayScript
Locale
PHP Manual